%% SatNOGS COMMS - Test Report
%% Copyright (C) 2023, 2024 Libre Space Foundation
%%
%% This work is licensed under a
%% Creative Commons Attribution-ShareAlike 4.0 International License.
%%
%% You should have received a copy of the license along with this
%% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

% Linter settings
% chktex-file -2
% chktex-file 35
% chktex-file 25
% chktex-file 13
% chktex-file 24

\documentclass[english,title,a4paper]{report}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage{float}
\usepackage[hidelinks]{hyperref}
\usepackage[toc,acronyms,section,nopostdot,nonumberlist,section=section,numberedsection]{glossaries}
\usepackage[toc]{appendix}
\usepackage{graphicx}
\usepackage{gensymb}
\usepackage{lastpage}
\usepackage{titlesec}
\usepackage{fancyhdr}
\usepackage{lipsum}
\usepackage{listings}
\usepackage{booktabs}
\usepackage[maxfloats=500]{morefloats}
\usepackage{lscape}
\usepackage{makecell}
\usepackage[table]{xcolor}
\usepackage{fixme}
\usepackage{pdfpages}
\usepackage{rotating}

\usepackage{hyperref}
\hypersetup{
    colorlinks=true,
    linkcolor=black,
    filecolor=magenta,
    urlcolor=blue,
    citecolor=black,
}

\fancypagestyle{plain}{
  \fancyhf{}
  \fancyhead[L]{\includegraphics[width=1.5cm]{diagrams/LSF_HD_Icon_Color.png}} % chktex-file 25
  \fancyhead[R]{SatNOGS COMMS\\Test Report}
  \fancyfoot[L]{Version \version}
  \fancyfoot[C]{\thepage{} of~\pageref{LastPage}}
  \fancyfoot[R]{\copyright{} Libre Space Foundation}
  \renewcommand{\headrulewidth}{0.4pt}
  \renewcommand{\footrulewidth}{0.4pt}
}
\pagestyle{plain}
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}

\input{include/version}
\input{include/replacements.tex}
\input{include/test-cases-urls}

\makeglossaries{}

%% Acronyms
\input{glossaries/acronyms}

\title{
  Test Report \\
  \large{SatNOGS COMMS}
}
\author{\includegraphics[scale=0.2]{diagrams/lsf-logo.png}}
\date{Version \version}

\titleformat{\chapter}[hang]
{\normalfont\bfseries\Huge}{\thechapter.}{10pt}{}

\begin{document}

\hypersetup{pageanchor=false}
\maketitle
\hypersetup{pageanchor=true}
\tableofcontents

\chapter{Changelog}

\begin{tabular}{llp{6.5cm}}
  \toprule
  Version & Date          & Changes                                     \\ \midrule
  1.1     & Dec 29, 2023  & Initial release                             \\ \midrule
  1.2     & Mar 19, 2024  & Test report for v0.3                        \\ \midrule
  1.3     & Apr 30, 2024  & Include PCB version in test report matrix   \\ \midrule
  1.4     & Nov 05, 2024  & Test report for v0.3.1                      \\ \midrule
  1.5     & Dec 10, 2024  & \textbullet{} Add EMC tests                       \newline
                            \textbullet{} Add test results for TC-89 for Doppler  \newline
                            \textbullet{} Add test results for TC-106, TC-110, TC-113, TC-114 for E2E \newline
                            \textbullet{} Add test results for TC-140, TC-142 for BER \\ \midrule
  1.5.1   & Dec 10, 2024  & Fix static GitLab pipeline \\ \midrule
  1.5.2   & Dec 18, 2024  & \textbullet{} Add the title of each test case instead of URL \newline
                            \textbullet{} Add explanatory text for TC-28 and TC-29       \newline
                            \textbullet{} Add more results on TC-93 to TC-96             \newline
                            \textbullet{} Repeat TC-52, while the transceiver is always on RX mode \newline
                            \textbullet{} Clarify the acceptability of TC-98 result      \\ \bottomrule
\end{tabular}

\newpage
\printglossary[type=\acronymtype]

\chapter{Introduction}

\section{Purpose and Scope}

This document intends to describe the test results of test cases.
All the test cases and deviations are described at \href{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-design-doc#latest-gitlab-tag}{Test Readiness Document} and \href{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-design-doc#latest-gitlab-tag}{Verification Plan}.

\chapter{Test Report}

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 9, Measure and verify maximum mass of COMMS}\label{tc:9}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: \acrshort{agis}, \acrshort{daniel}
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Scale: Kern PCB 10000--1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item The mass, including EMI shield, FPGA SoM, and mounting hardware is 132 g.
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 10, Measure and verify COMMS physical dimensions}\label{tc:10}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Vernier caliper: Facom 1300
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
    \begin{itemize}
      \item Length: 89.97 mm, Width: 95.66 mm
      \item Height: 14.39 mm
      \item Four holes position: (5.05, 5.05) mm, (85.13, 5.05) mm, (82.4, 90.79) mm, (8.85, 90.82) mm.
      \item Holes diameter: 3.2 mm.
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 11, Test and verify communication with COMMS using CAN bus protocol}\label{tc:11}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Nov 05, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item Send ping command
          \begin{lstlisting}
            satnogs-comms> ping 5
            [2024-11-05T19:49:40.709+02:00] [info] {
             "tlc": {
              "ping": {
               "payload": "pvDYKYE="
              }
             }
            }

            satnogs-comms> [2024-11-05T19:49:40.811+02:00] [info] {
             "tlm": {
              "ping": {
               "payload": "pvDYKYE="
              }
             }
            }
          \end{lstlisting}
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 12, Test and verify COMMS UHF transmission shutdown after GS telecommand through UHF}\label{tc:12}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Nov 05, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SDR:USRP B210
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item SatNOGS COMMS and TC\&C are configured for FSK m=1.0 with CCSDS RS (223,255) at 50kHz symbol rate at 435MHz
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item There is no RF signal in UHF
      \item Get via CAN Bus to confirm the command
          \begin{lstlisting}
            satnogs-comms> telemetry config
            [2024-11-05T15:39:00.044+02:00] [info] {
             "tlc": {
              "tlm_req": {
               "type": "CONFIG"
              }
             }
            }

            satnogs-comms> [2024-11-05T15:39:00.147+02:00] [info] {
             "tlm": {
              "tlm_cnf": {
               "ver_hw": {
                "major": 0,
                "minor": 3,
                "patch": 1
               },
               "ver_lib": {
                "major": 1,
                "minor": 2,
                "patch": 1
               },
               "ver_fw": {
                "major": 1,
                "minor": 7,
                "patch": 0
               },
               "uhf_tx_inhibit": true,
               "sband_tx_inhibit": false,
               "tlm_period": 30
              }
             }
            }
          \end{lstlisting}
      \item After 3 power cycles the SatNOGS COMMS does not transmit via UHF interface
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 13, Test and verify COMMS S-band transmission shutdown after GS telecommand through UHF}\label{tc:13}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Nov 05, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SDR:USRP B210
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\ commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\ commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item SatNOGS COMMS and TC\&C are configured for FSK m=1.0 with CCSDS RS (223,255) at 50kHz symbol rate at 435MHz
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item There is no RF signal in UHF
      \item Get via CAN Bus to confirm the command
          \begin{lstlisting}
            satnogs-comms> telemetry config
            [2024-11-05T15:46:51.357+02:00] [info] {
             "tlc": {
              "tlm_req": {
               "type": "CONFIG"
              }
             }
            }

            satnogs-comms> [2024-11-05T15:46:51.461+02:00] [info] {
             "tlm": {
              "tlm_cnf": {
               "ver_hw": {
                "major": 0,
                "minor": 3,
                "patch": 1
               },
               "ver_lib": {
                "major": 1,
                "minor": 2,
                "patch": 1
               },
               "ver_fw": {
                "major": 1,
                "minor": 7,
                "patch": 0
               },
               "uhf_tx_inhibit": false,
               "sband_tx_inhibit": true,
               "tlm_period": 30
              }
             }
            }
          \end{lstlisting}
      \item After 3 power cycles the SatNOGS COMMS does not transmit via S-Band interface
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 14, Test and verify COMMS UHF transmission shutdown after GS telecommand through S-band}\label{tc:14}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Nov 05, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SDR:USRP B210
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item SatNOGS COMMS and TC\&C are configured for MSK with CCSDS RS (223,255) at 400kHz symbol rate at 2055MHz
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item There is no RF signal in UHF
      \item Get via CAN Bus to confirm the command
          \begin{lstlisting}
            satnogs-comms> telemetry config
            [2024-11-05T15:58:36.888+02:00] [info] {
             "tlc": {
              "tlm_req": {
               "type": "CONFIG"
              }
             }
            }

            satnogs-comms> [2024-11-05T15:58:36.991+02:00] [info] {
             "tlm": {
              "tlm_cnf": {
               "ver_hw": {
                "major": 0,
                "minor": 3,
                "patch": 1
               },
               "ver_lib": {
                "major": 1,
                "minor": 2,
                "patch": 1
               },
               "ver_fw": {
                "major": 1,
                "minor": 7,
                "patch": 0
               },
               "uhf_tx_inhibit": true,
               "sband_tx_inhibit": false,
               "tlm_period": 30
              }
             }
            }
          \end{lstlisting}
      \item After 3 power cycles the SatNOGS COMMS does not transmit via UHF interface
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 16, Test and verify COMMS S-band transmission shutdown after GS telecommand through S-band}\label{tc:16}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Nov 05, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SDR:USRP B210
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item SatNOGS COMMS and TC\&C are configured for MSK with CCSDS RS (223,255) at 400kHz symbol rate at 2055MHz
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item There is no RF signal in UHF
      \item Get via CAN Bus to confirm the command
          \begin{lstlisting}
                satnogs-comms> telemetry config
                [2024-11-05T16:08:31.450+02:00] [info] {
                 "tlc": {
                  "tlm_req": {
                   "type": "CONFIG"
                  }
                 }
                }

                satnogs-comms> [2024-11-05T16:08:31.553+02:00] [info] {
                 "tlm": {
                  "tlm_cnf": {
                   "ver_hw": {
                    "major": 0,
                    "minor": 3,
                    "patch": 1
                   },
                   "ver_lib": {
                    "major": 1,
                    "minor": 2,
                    "patch": 1
                   },
                   "ver_fw": {
                    "major": 1,
                    "minor": 7,
                    "patch": 0
                   },
                   "uhf_tx_inhibit": false,
                   "sband_tx_inhibit": true,
                   "tlm_period": 30
                  }
                 }
                }

          \end{lstlisting}
      \item After 3 power cycles the SatNOGS COMMS does not transmit via S-Band interface
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 26, Measure and verify timing Pull-down input of antenna deployment mechanism}\label{tc:26}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Oscilloscope Rigol DS4024
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
    \begin{itemize}
      \item We forward the pin state of antenna detection to antenna deploy pin, Channel 2 is ANT DET 0 and Channel 1 is ANT DET 1
      \begin{figure}[H]
            \centering
            \includegraphics[keepaspectratio, width=1\textwidth]{diagrams/test-camp-2/tc26-ant-det-1.png}
            \caption{Antenna deployment detection 0}\label{fig:tc26-ant-det-1}
      \end{figure}
      \begin{figure}[H]
            \centering
            \includegraphics[keepaspectratio, width=1\textwidth]{diagrams/test-camp-2/tc26-ant-det-2_1.png}
            \caption{Antenna deployment detection 1}\label{fig:tc26-ant-det-2-1}
      \end{figure}
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 28, Test and verify antenna deployment mechanism after GS telecommand through UHF}\label{tc:28}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: December 6, 2024
  \item Tester: \acrshort{vic}
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Equipment Used: Oscilloscope
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: The antenna deployment functionality performed as intended, with no issues or limitations identified.
  \item Implementation: \url{https://gitlab.com/librespacefoundation/satnogs-comms/libsatnogs-comms/-/merge_requests/84}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item The antenna deployment functionality works as expected. 
  \item Although integration into the master branch has been delayed due to time limitations, no issues were identified. A merge request is already prepared, and the functionality will be incorporated into the master branch as soon as possible.
\end{itemize}
\newpage


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 29, Test and verify antenna deployment mechanism after GS telecommand through S-band}\label{tc:29}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: December 6, 2024
  \item Tester: \acrshort{vic}
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Equipment Used: Oscilloscope
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: The antenna deployment functionality performed as intended, with no issues or limitations identified.
  \item Implementation: \url{https://gitlab.com/librespacefoundation/satnogs-comms/libsatnogs-comms/-/merge_requests/84}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item The antenna deployment functionality works as expected. 
  \item Although integration into the master branch has been delayed due to time limitations, no issues were identified. A merge request is already prepared, and the functionality will be incorporated into the master branch as soon as possible.
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 30, Inspect, measure and verify power supply interface of COMMS}\label{tc:30}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Test Environment Details:
  \begin{itemize}
      \item Board version: v0.3.1
      \item DC Load: RIGOL DL--3021
      \item Multimeter: RIGOL DM3058E
  \end{itemize}
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: \newline
  For an input voltage of 14V, the voltages of the various power rails under load were the following:
  \begin{itemize}
      \item Voltage on 3.3V rail under load: 3.26 V at 0.45A and closes at 0.56A
      \item Voltage on 5V FPGA rail under load: 4.93 V at 0.45A and closes at 0.55A
      \item Voltage on 5V RF rail under load: 4.91 V at 0.91A and closes at 0.94A
  \end{itemize}
  For an input voltage of 6.1V, the voltages of the various power rails under load were the following:
  \begin{itemize}
      \item Voltage on 3.3V rail under load: 3.28 V at 0.45 A closes at 0.57A
      \item Voltage on 5V FPGA rail under load: 4.91 V at 0.45A closes at 0.55A
      \item Voltage on 5V RF rail under load:  4.93 V at 0.91A closes at 0.92A
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
    \item \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/issues/447}
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 31, Inspect and verify COMMS RF connector interface}\label{tc:31}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item interactive BOM:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/releases/0.3.1-assembly-1}
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
    \begin{itemize}
      \item RF connectors of both radios are parts with Reference: ANT-S901 and ANT-U1001.
      \item The part number is Molex 73415--0961, \url{https://tools.molex.com/pdm_docs/sd/734150961_sd.pdf} % chktex-file 25
      \item The connector is MMCX, smaller than SMA
      \item The insertion loss in range of DC to 4GHz is provided by manufacturer as set with straight connector and is 0.1dB, \url{https://www.content.molex.com/dxdam/literature/987650-3243.pdf} % chktex 8
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 34, Test and verify half duplex communication of COMMS on UHF supported frequencies}\label{tc:34}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item interactive BOM:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/releases/0.3.1-assembly-1}
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item In the scope of inspection, this test is considered successful because both the code and the hardware exist.
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 35, Test and verify half duplex communication of COMMS on S-band}\label{tc:35}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item interactive BOM:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/releases/0.3.1-assembly-1}
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item In the scope of inspection, this test is considered successful because both the code and the hardware exist.
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 42, Inspect and verify RF operational stability of COMMS}\label{tc:42}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item interactive BOM:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/releases/0.3.1-assembly-1}
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item The reference clock used for the radio transceiver in SatNOGS COMMS v0.3.1 is the TG2016SMN 26.0000M-MCGNNM0 and offers stability of 0.5 PPM\@.
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 43, Measure and verify maximum permissible spurious emission on UHF}\label{tc:43}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2023
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Cables 1 and 4 along with attenuator 5.
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
    \item Peak indicated by marker 2--1 in \autoref{fig:tc-43-spurious} is compliant with the \acrshort{sfcg} 21–2R4 recommendations.
      \begin{figure}[H]
      \centering
      \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-2/tc-43-spurious.png}
      \caption{UHF spurious emissions}\label{fig:tc-43-spurious}
    \end{figure}

    \begin{figure}[H]
      \centering
      \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-2/tc-43-mask.png}
      \caption{UHF spectrum mask for FSK--2, m = 1, TX power = +31 dBm, symbol rate = 50 kHz}\label{fig:tc-43-mask}
    \end{figure}
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 44, Measure and verify maximum permissible spurious emission on S-band}\label{tc:44}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Cables 1 and 4 along with attenuator 5.
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
    \item Peaks indicated by markers in \autoref{fig:tc-44-spurious} are compliant with the \acrshort{sfcg} 21–2R4 recommendations.
    \begin{figure}[H]
      \centering
      \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-44-spurious.png}
      \caption{S Band spurious emissions}\label{fig:tc-44-spurious}
    \end{figure}

    \begin{figure}[H]
      \centering
      \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-44-mask.png}
      \caption{S Band spectrum mask for FSK--2, m = 0.5, TX power = +33 dBm, 400 kHz symbol rate }\label{fig:tc-44-mask}
    \end{figure}
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 50, Test and verify TX power configuration and capabilities of COMMS on UHF}\label{tc:50}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Cables 1 and 4 along with attenuator 5.
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass

     \begin{figure}[H]
      \centering
      \includegraphics[keepaspectratio, width=0.9\textwidth]{diagrams/test-camp-2/tc-50-mask-22pacur-m1.png}
      \caption{UHF spectrum mask for FSK--2, m = 1, Input Power = 6.6dBm, TX power = +31.2 dBm, symbol rate = 50 kHz}\label{fig:tc-50-mask-22pacur-m1}
    \end{figure}

    \begin{figure}[H]
      \centering
      \includegraphics[keepaspectratio, width=0.9\textwidth]{diagrams/test-camp-2/tc-50-mask-14pacur-m1.png}
      \caption{UHF spectrum mask for FSK--2, m = 1, Input Power = -0.2dBm, symbol rate = 50 kHz}\label{fig:tc-50-mask-14pacur-m1}
    \end{figure}
  \item Gain measurement for FSK--2, m = 1, symbol rate = 50 kHz with 100kHz integration bandwidth
  \begin{table}[!ht]
    \centering
    \begin{tabular}{llll}
        \toprule
        Register & Pout (dBm) & Pin (dBm) & Gain (dB) \\  \toprule
        14 & 25.6 & -0.24 & 25.84 \\
        16 & 27.5 & 1.4 & 26.1 \\
        18 & 28.9 & 3.35 & 25.55 \\
        20 & 30.5 & 4.7 & 25.8 \\
        22 & 31.2 & 6.6 & 24.6 \\ \bottomrule
    \end{tabular}
    \caption{UHF Gain Calculation}\label{UHF Gain Calculation}
  \end{table}
  \item Measurements with Base Band core supported modulations, FSK--2 at 50ksps at 435MHz
  \begin{table}[!ht]
    \centering
    \begin{tabular}{lll}
        \toprule
        Modulation Index & Register & Pout (dBm) \\ \toprule
        0.5 & 14 & 25.6 \\
        0.5 & 16 & 27.3 \\
        0.5 & 18 & 29.4 \\
        0.5 & 20 & 30.3 \\
        0.5 & 22 & 31.6 \\ \midrule
        1 & 14 & 25.6 \\
        1 & 16 & 27.5 \\
        1 & 18 & 28.9 \\
        1 & 20 & 30.5 \\
        1 & 22 & 31.2 \\ \midrule
        1.5 & 14 & 25.9 \\
        1.5 & 16 & 27.9 \\
        1.5 & 18 & 29.6 \\
        1.5 & 20 & 30.5 \\
        1.5 & 22 & 30.8 \\ \midrule
        2 & 14 & 25.6 \\
        2 & 16 & 27.5 \\
        2 & 18 & 29.2 \\
        2 & 20 & 30.5 \\
        2 & 22 & 30.8 \\ \bottomrule
    \end{tabular}
    \caption{UHF output power}\label{UHF output power}
\end{table}

\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 51, Test and verify TX power configuration and capabilities of COMMS on S-band}\label{tc:51}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Cables 1 and 4 along with attenuator 5.
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-51-mask-10pacur.png}
        \caption{S Band spectrum mask for MSK, Input Power =  -4.5dBm, symbol rate = 400 kHz}\label{fig:tc-51-mask-10pacur}
    \end{figure}

    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-51-mask-14pacur.png}
        \caption{S Band spectrum mask for MSK, Input Power =  -0.5dBm, symbol rate = 400 kHz}\label{fig:tc-51-mask-14pacur}
    \end{figure}

    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-51-mask-16pacur.png}
        \caption{S Band spectrum mask for MSK, Input Power =  1.5dBm, symbol rate = 400 kHz}\label{fig:tc-51-mask-16pacur}
    \end{figure}

    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-51-mask-20pacur.png}
        \caption{S Band spectrum mask for MSK, Input Power =  4.5dBm, symbol rate = 400 kHz}\label{fig:tc-51-mask-20pacur}
    \end{figure}

    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-51-mask-22pacur.png}
        \caption{S Band spectrum mask for MSK, Input Power =  6.5dBm, symbol rate = 400 kHz}\label{fig:tc-51-mask-22pacur}
    \end{figure}

    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-51-mask-24pacur.png}
        \caption{S Band spectrum mask for MSK, Input Power =  7.5dBm, symbol rate = 400 kHz}\label{fig:tc-51-mask-24pacur}
    \end{figure}

    \begin{table}[!ht]
    \centering
    \begin{tabular}{llll}
        \toprule
        Register & Pout (dBm) & Pin (dBm) & Gain (dB) \\ \toprule
        10       & 22.7       & -4.5      & 27.2      \\
        14       & 27.0       & -0.5      & 27.5      \\
        16       & 28.6       & 1.5       & 27.1      \\
        20       & 31.7       & 4.5       & 27.2      \\
        22       & 32.6       & 6.5       & 26.1      \\
        24       & 33.2       & 7.5       & 25.7      \\ \bottomrule
    \end{tabular}
    \caption{S-Band output power at 2214MHz with IF:2430MHz, LO:216MHz and current mixer register:1}\label{S-Band output power}
\end{table}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 52, Inspect and verify impedance of antenna ports of COMMS}\label{tc:52}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item \acrshort{vna}: LibreVNA
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Fail
  \item Observations:
    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/s-band-s11-wide-031.png}
        \caption{S Band port return loss (S11), while the in \acrshort{rx} mode and wide filter is selected}\label{fig:sband-s11-wide-031}
    \end{figure}

    \begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/s11-uhf-narrow.png}
        \caption{UHF return loss (S11), while the in \acrshort{rx} mode and the narrow filter is selected}\label{fig:tc52-uhf-s11-rl-narrow}
    \end{figure}

\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
  The test fails because the \acrshort{rx} front end is not designed to have the exact 50Ohm but to achieve an optimum noise figure.
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 53, Perform and verify success of thermal vacuum cycling test}\label{tc:53}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: NA
  \item Tester: NA
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check Environmental Test Report, Appendix A
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 54, Perform and verify success of resonance survey test}\label{tc:54}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: NA
  \item Tester: NA
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check Environmental Test Report, Appendix A
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 55, Perform and verify success of sinusoidal vibration test}\label{tc:55}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: NA
  \item Tester: NA
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check Environmental Test Report, Appendix A
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 56, Perform and verify success of random vibration test}\label{tc:56}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: NA
  \item Tester: NA
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check Environmental Test Report, Appendix A
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 57, Perform and verify success of shock test}\label{tc:57}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: NA
  \item Tester: NA
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check Environmental Test Report, Appendix A
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 87, Inspect and verify temperature sensors}\label{tc:87}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: \acrshort{dimitris}
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item interactive BOM:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/releases/0.3.1-assembly-1}
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item Temperature sensors are located near the RF power amplifiers, one for UHF and one for S-band.
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 88, Measure and verify temperature sensors values}\label{tc:88}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Sep 26, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:2280ce143396c303eb63a2a0ab8d23f334fd212d
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item At $30\degree C$ % chktex-file 1
          \begin{lstlisting}
            [2024-09-26T14:38:19.872+03:00] [info] {
             "tlm": {
              "tlm_health": {
               "uptime_ms": "1143075",
               "boot_cnt": 1,
               "sens": {
                "temp": {
                 "pcb": 32.3125,
                 "uhf_pa": 36.5,
                 "sband_pa": 31.4375,
                 "uhf_alert": false,
                 "sband_alert": false
                }
               },
               "pwr": {
                "en_pin": {
                 "rf_5v_en": true,
                 "fpga_en": false,
                 "can1_en": true,
                 "can1_low_pwr": false,
                 "can2_en": false,
                 "can2_low_pwr": true,
                 "uhf_en": true,
                 "sband_en": false
                },
                "measurements": {
                 "fpga_current": 0.0092364531,
                 "vin": 11.9531345,
                 "iin": 0.194919392,
                 "d_3v3_current": 0.186268479,
                 "rf_5v_current": 0.25143677,
                 "emc1702_power": 2.32763577,
                 "efuses_power": 1.96835649
                },
                "pgood_pin": {
                 "rf_5v_pgood": true,
                 "fpga_pgood": false,
                 "uhf_pgood": true,
                 "sband_pgood": true
                }
               },
               "rst_reason": 65536
              }
             }
            }
          \end{lstlisting}
      \item At $40\degree C$ % chktex-file 1
          \begin{lstlisting}
            [2024-09-26T15:24:41.815+03:00] [info] {
             "tlm": {
              "tlm_health": {
               "uptime_ms": "3924869",
               "boot_cnt": 1,
               "sens": {
                "temp": {
                 "pcb": 40.8125,
                 "uhf_pa": 45.25,
                 "sband_pa": 39.875,
                 "uhf_alert": false,
                 "sband_alert": false
                }
               },
               "pwr": {
                "en_pin": {
                 "rf_5v_en": true,
                 "fpga_en": false,
                 "can1_en": true,
                 "can1_low_pwr": false,
                 "can2_en": false,
                 "can2_low_pwr": true,
                 "uhf_en": true,
                 "sband_en": false
                },
                "measurements": {
                 "fpga_current": 0.00615763571,
                 "vin": 11.9414158,
                 "iin": 0.199316069,
                 "d_3v3_current": 0.197044343,
                 "rf_5v_current": 0.256226063,
                 "emc1702_power": 2.37778282,
                 "efuses_power": 2.00573015
                },
                "pgood_pin": {
                 "rf_5v_pgood": true,
                 "fpga_pgood": false,
                 "uhf_pgood": true,
                 "sband_pgood": true
                }
               },
               "rst_reason": 65536
              }
             }
            }
          \end{lstlisting}
      \item At $50\degree C$ % chktex-file 1
          \begin{lstlisting}
            [2024-09-26T15:42:57.986+03:00] [info] {
             "tlm": {
              "tlm_health": {
               "uptime_ms": "5020975",
               "boot_cnt": 1,
               "sens": {
                "temp": {
                 "pcb": 50.5625,
                 "uhf_pa": 54.9375,
                 "sband_pa": 49.5625,
                 "uhf_alert": false,
                 "sband_alert": false
                }
               },
               "pwr": {
                "en_pin": {
                 "rf_5v_en": true,
                 "fpga_en": false,
                 "can1_en": true,
                 "can1_low_pwr": false,
                 "can2_en": false,
                 "can2_low_pwr": true,
                 "uhf_en": true,
                 "sband_en": false
                },
                "measurements": {
                 "fpga_current": 0.00461822655,
                 "vin": 11.9414158,
                 "iin": 0.199316069,
                 "d_3v3_current": 0.203201964,
                 "rf_5v_current": 0.258620679,
                 "emc1702_power": 2.37778282,
                 "efuses_power": 2.02866721
                },
                "pgood_pin": {
                 "rf_5v_pgood": true,
                 "fpga_pgood": false,
                 "uhf_pgood": true,
                 "sband_pgood": true
                }
               },
               "rst_reason": 65536
              }
             }
            }
          \end{lstlisting}
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item More data from the test: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/issues/83}
  \item The reset is not valid
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 89, Measure and verify COMMS Doppler tracking performance}\label{tc:89}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Dec 6, 2024
  \item Tester: \acrshort{manolis}
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item USRP B210
  \item 2x Mini-Circuits VAT-30+ 
  \item Reference TLE: ISS as retrieved at Dec 1, 2024
  \item SatNOGS-COMMS SW and GNU Radio flowgraphs: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/commit/74dd552aef7a65cd7b1f169f5c3a85aeccf399f6}
  \item DC power supply: Rigol DP832
\end{itemize}

Due to the high resolution of the simulation required in order to emulate as close as possible the frequency variation within the duration of each frame, it was not feasible to run the gr-leo in realtime.
To deal with this issue, the generation of the digital samples was performed offline and stored in a file.
The test was conducted by replaying this file in realtime using the USRP B210.

\subsection{Test Results}

\begin{table}[h]
\centering
\begin{tabular}{|c|c|c|c|c|c|c|c|}
\hline
Frames & Frames & Baudrate & Signal & Interface & Modulation & USRP Gain & Attenuation \\
received & sent & (sym/s) & level (dB) & & & (dB) & (dB) \\
\hline
1100 & 1100 & 50000 & -110 & UHF & MSK & 36 & 60 \\
\hline
1099 & 1100 & 50000 & -100 & UHF & FSK & 42 & 60 \\
\hline
1100 & 1100 & 100000 & -105 & S-Band & MSK & 46 & 60 \\
\hline
1100 & 1100 & 200000 & -101 & S-Band & MSK & 49 & 60 \\
\hline
1100 & 1100 & 400000 & -96 & S-Band & MSK & 53 & 60 \\
\hline
\end{tabular}
\caption{Test results}
\label{tab:doppler_tracking}
\end{table}


\begin{itemize}
  \item Test Result: Pass
  \item Observations: The tracking loop of the receivers of both interfaces is able to cope with a typical LEO mission
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item SatNOGS-COMMS uplink should be able to deal with the Doppler rate on both interfaces without significant performance degradation if the SNR is adequate.
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 93, Measure and verify COMMS power consumption of RX mode on UHF}\label{tc:93}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DM
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Precision DC Energy Analyzer: Joulescope JS220
  \item DC power supply: Rigol DP831
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: \url{https://cloud.libre.space/s/LtfBJggrDJgo5sa}, 3660 mW, \autoref{fig:loads-all-states}
\end{itemize}

\begin{sidewaysfigure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/load-all-states.png}
    \caption{Power Consumption on all states}
    \label{fig:loads-all-states}
\end{sidewaysfigure}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item The Linux is stressed by running two processors at 100\%.
  By running only Linux without stressing is 276mW less (1752mW), \autoref{fig:load-petalinux-10-procs}.
\end{itemize}

\begin{figure}[H]
    \centering
    \includegraphics[width=1\linewidth]{diagrams/petalinux-10-procs.png}
    \caption{PetaLinux Stress Test (two processors at 100\%) power consumption at 12V, 2028mW}
    \label{fig:load-petalinux-10-procs}
\end{figure}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 94, Measure and verify COMMS power consumption of TX mode on UHF}\label{tc:94}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DM
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Precision DC Energy Analyzer: Joulescope JS220
  \item DC power supply: Rigol DP831
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Fail
  \item Observations: \url{https://cloud.libre.space/s/LtfBJggrDJgo5sa}, 8352 mW, \autoref{fig:loads-all-states}
\end{itemize}

\begin{figure}[H]
    \centering
    \includegraphics[width=1\linewidth]{diagrams/uhf-tx-msk-400.png}
    \caption{Full power Transmission on MSK 400kHz, with disabled FPGA}
    \label{fig:tc94-uhf-tx-msk-400}
\end{figure}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item The Linux is stressed by running two processors at 100\%.
  By running only Linux without stressing is 276mW less (1752mW), \autoref{fig:load-petalinux-10-procs}.
  \item Consider that measurements are referred to peak and not average power consumption.
\end{itemize}

\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 95, Measure and verify COMMS power consumption of RX mode on S-band}\label{tc:95}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DM
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Precision DC Energy Analyzer: Joulescope JS220
  \item DC power supply: Rigol DP831
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: 3588 mW, \autoref{fig:loads-all-states}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item The Linux is stressed by running two processors at 100\%.
  By running only Linux without stressing is 276mW less (1752mW), \autoref{fig:load-petalinux-10-procs}.
\end{itemize}

\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 96, Measure and verify COMMS power consumption of TX mode on S-band}\label{tc:96}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DM
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Precision DC Energy Analyzer: Joulescope JS220
  \item DC power supply: Rigol DP831
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: 6912 mW, \autoref{fig:loads-all-states}
  \begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/test-camp-3/tc-96-full-tx-power.png}
    \caption{Load while TX at full power with 12V Voltage in}\label{fig:tc-96-mask-full-tx-power}
  \end{figure}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item The Linux is stressed by running two processors at 100\%.
  By running only Linux without stressing is 276mW less (1752mW), \autoref{fig:load-petalinux-10-procs}.
  \item Consider that measurements are referred to peak and not average power consumption.
\end{itemize}

\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 98, Test and verify COMMS internal reset mechanism}\label{tc:98}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Oct 31, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SDR:USRP B210
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
  \begin{itemize}
      \item Get via CAN Bus telemetry
          \begin{lstlisting}
            [2024-10-31T18:20:42.792+02:00] [info] {
             "tlm": {
              "tlm_health": {
               "uptime_ms": "403131",
               "boot_cnt": 17,
               "sens": {
                "temp": {
                 "pcb": 36.5625,
                 "uhf_pa": 43.0625,
                 "sband_pa": 36.4375,
                 "uhf_alert": false,
                 "sband_alert": false
                }
               },
               "pwr": {
                "en_pin": {
                 "rf_5v_en": true,
                 "fpga_en": false,
                 "can1_en": true,
                 "can1_low_pwr": false,
                 "can2_en": false,
                 "can2_low_pwr": true,
                 "uhf_en": true,
                 "sband_en": false
                },
                "measurements": {
                 "fpga_current": 0.00615763571,
                 "vin": 11.8593845,
                 "iin": 0.223742068,
                 "d_3v3_current": 0.200123146,
                 "rf_5v_current": 0.289750963,
                 "emc1702_power": 2.6508472,
                 "efuses_power": 2.22365904
                },
                "pgood_pin": {
                 "rf_5v_pgood": true,
                 "fpga_pgood": false,
                 "uhf_pgood": true,
                 "sband_pgood": true
                }
               },
               "rst_reason": 3
              }
             }
            }
          \end{lstlisting}
      \item Reset reason 3 (0b11) indicates that both the external reset pin and the software reset were active, which aligns with expectations
      \item Send command to stop Watchdog timer via CAN Bus
          \begin{lstlisting}
            telecommand> "stop watchdog"
            [2024-10-31T18:20:43.580+02:00] [info] {
             "tlc": {
              "stop_wdt_update": {
               "stop_wdt_update": true
              }
             }
            }
          \end{lstlisting}
      \item Get telemetry via CAN Bus and check boot counter and reason of reset
          \begin{lstlisting}
            [2024-10-31T18:22:09.427+02:00] [info] {
                "tlm": {
                 "tlm_health": {
                  "uptime_ms": "57667",
                  "boot_cnt": 18,
                  "sens": {
                   "temp": {
                    "pcb": 36.6875,
                    "uhf_pa": 43.1875,
                    "sband_pa": 36.5625,
                    "uhf_alert": false,
                    "sband_alert": false
                   }
                  },
                  "pwr": {
                   "en_pin": {
                    "rf_5v_en": true,
                    "fpga_en": false,
                    "can1_en": true,
                    "can1_low_pwr": false,
                    "can2_en": false,
                    "can2_low_pwr": true,
                    "uhf_en": true,
                    "sband_en": false
                   },
                   "measurements": {
                    "fpga_current": 0.00307881786,
                    "vin": 11.8593845,
                    "iin": 0.222276509,
                    "d_3v3_current": 0.203201964,
                    "rf_5v_current": 0.287356317,
                    "emc1702_power": 2.63327742,
                    "efuses_power": 2.22547197
                   },
                   "pgood_pin": {
                    "rf_5v_pgood": true,
                    "fpga_pgood": false,
                    "uhf_pgood": true,
                    "sband_pgood": true
                   }
                  },
                  "rst_reason": 17
                 }
                }
               }
          \end{lstlisting}
      \item After issuing the stop Watchdog command, the reset reason changed to 17 (0b10001), indicating that the external reset pin and the Watchdog timer reset bit were both set. This behavior matches the expected outcome.
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item Reset reason 3 (0b11) indicates that both the external reset pin and the software reset were active, which aligns with expectations prior to issuing the Watchdog stop command.
  \item After issuing the stop Watchdog command, the reset reason changed to 17 (0b10001), indicating that the external reset pin and the Watchdog timer reset bit were both set. This behavior matches the expected outcome.
  \item Reset reasons are derived using a Zephyr hardware information driver, as documented in the Zephyr project documentation: \url{https://docs.zephyrproject.org/apidoc/latest/group__hwinfo__interface.html}.
  \item To improve operator clarity, we have implemented expanded bit-flag representations within the new mission control interface (YAMCS). Operators can now view the reset flags directly, eliminating the need to consult external documentation.
\end{itemize}
\newpage


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 99, Test and verify COMMS external reset mechanism}\label{tc:99}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Oct 31, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Fail
  \item A health status telemetry is implemented:
  \begin{itemize}
    \item \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/blob/master/src/telemetry.cpp?ref_type=heads#L210-221} % chktex 8
    \item \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/blob/master/src/telemetry.cpp?ref_type=heads#L386-395} % chktex 8
  \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item The current implementation of SatNOGS COMMS software does not contain any periodic CAN Bus message
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item This test case is partially tested by TC-11.
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 105, Test and verify E2E TC\&C communication between GS and COMMS on UHF with FSK modulation without simulating realistic conditions}\label{tc:105}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Nov 05, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SDR:USRP B210
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
  \item FSK GNU Radio Companion Flow-graph:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/tree/master/contrib/flowgraphs?ref_type=heads}\\commit SHA:41111d2553cdcbc76f0b1143052611eacae1107a
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item SatNOGS COMMS and TC\&C are configured for FSK m=1.0 with CCSDS RS (223,255) at 50kHz symbol rate at 435MHz
          \begin{lstlisting}
            satnogs-comms> ping 5
            satnogs-comms> [2024-11-05T17:29:40.884+02:00] [info] {
             "tlm": {
              "ping": {
               "payload": "pvDYKYE="
              }
             }
            }
          \end{lstlisting}

  \item SatNOGS COMMS and TC\&C are configured for FSK m=1.0 with CCSDS RS (223,255) at 50kHz symbol rate at 403MHz by changing line 22 and 23 \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/blob/master/boards/arm/satnogs_comms/satnogs_comms_defconfig?ref_type=heads#L22}
          \begin{lstlisting}
            satnogs-comms> ping 5
            satnogs-comms> [2024-11-05T17:37:46.098+02:00] [info] {
             "tlm": {
              "ping": {
               "payload": "pvDYKYE="
              }
             }
            }
          \end{lstlisting}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item Tested only on 50k Samples per second and in 2 frequencies 403MHz and 435MHz.
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 106, Test and verify E2E TC\&C communication between GS and COMMS on UHF with FSK modulation with simulating realistic conditions}\label{tc:106}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Dec 6, 2024
  \item Tester: MS
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item USRP B210
  \item 2x Mini-Circuits VAT-30+ 
  \item Reference TLE: ISS as retrieved at Dec 1, 2024
  \item SatNOGS-COMMS SW and GNU Radio flowgraphs: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/commit/74dd552aef7a65cd7b1f169f5c3a85aeccf399f6} modified to add an intentional delay after a telecommand processing
  \item YAMCS-based control software: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-yamcs/-/commit/607f6cf308fecff908209561573e888a41deba40}
  \item DC power supply: Rigol DP832
\end{itemize}

Due to the high resolution of the simulation required in order to emulate as close as possible the frequency variation within the duration of each frame, it was not feasible to run the gr-leo in realtime.
To deal with this issue, the generation of the digital samples with the SatNOGS-COMMS as destination, was performed offline and stored in a file.
The test was conducted by replaying this file in realtime using the USRP B210.
At the same time, the USRP was set for reception at the RX2 port and the received samples were stored in a file.
The samples in the file were passed then through the gr-leo channel emulator and then fed to the GS demodulator/decoder.

\subsection{Test Results}

\begin{itemize}
  \item Test Result: Pass
  \item Observations: The communication session is not affected by the realistic conditions or delays
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item Tested only for FSK-2 at 50 kbps at 403 and 435 MHz
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Test Case 109, Test and verify E2E TC\&C communication between GS and COMMS on UHF with MSK modulation without simulating realistic conditions}\label{tc:109}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Nov 05, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item SDR:USRP B210
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu} commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69, change lines \url{https://gitlab.com/librespacefoundation/satnogs-comms/libsatnogs-comms/-/blob/master/src/radio.cpp?ref_type=heads#L417} and \url{https://gitlab.com/librespacefoundation/satnogs-comms/libsatnogs-comms/-/blob/master/src/radio.cpp?ref_type=heads#L517} with
  \begin{lstlisting}
    at86_bb.fsk.midx               = AT86RF215_MIDX_1;
  \end{lstlisting}
  \item SatNOGS COMMS CLI Control: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
  \item FSK GNU Radio Companion Flow-graph: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/tree/master/contrib/flowgraphs?ref_type=heads}\\commit SHA:41111d2553cdcbc76f0b1143052611eacae1107a, change parameter deviation with $25e3/2$
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item SatNOGS COMMS and TC\&C are configured for FSK m=0.5 (MSK) with CCSDS RS (223,255) at 50kHz symbol rate at 435MHz
          \begin{lstlisting}
            satnogs-comms> ping 5
            satnogs-comms> [2024-11-05T18:17:57.780+02:00] [info] {
             "tlm": {
              "ping": {
               "payload": "pvDYKYE="
              }
             }
            }
          \end{lstlisting}
  \item SatNOGS COMMS and TC\&C are configured for FSK m=0.5 (MSK) with CCSDS RS (223,255) at 50kHz symbol rate at 403MHz by changing line 22 and 23 \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/blob/master/boards/arm/satnogs_comms/satnogs_comms_defconfig?ref_type=heads#L22}
          \begin{lstlisting}
            satnogs-comms> ping 5
            satnogs-comms> [2024-11-05T18:07:21.212+02:00] [info] {
             "tlm": {
              "ping": {
               "payload": "pvDYKYE="
              }
             }
            }
          \end{lstlisting}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item Tested only on 50k Samples per second and in 2 frequencies 403MHz and 435MHz.
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 110, Test and verify E2E TC\&C communication between GS and COMMS on UHF with MSK modulation with simulating realistic conditions}\label{tc:110}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Dec 6, 2024
  \item Tester: MS
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item USRP B210
  \item 2x Mini-Circuits VAT-30+ 
  \item Reference TLE: ISS as retrieved at Dec 1, 2024
  \item SatNOGS-COMMS SW and GNU Radio flowgraphs: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/commit/74dd552aef7a65cd7b1f169f5c3a85aeccf399f6} modified to add an intentional delay after a telecommand processing
  \item YAMCS-based control software: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-yamcs/-/commit/607f6cf308fecff908209561573e888a41deba40}
  \item DC power supply: Rigol DP832
\end{itemize}

Due to the high resolution of the simulation required in order to emulate as close as possible the frequency variation within the duration of each frame, it was not feasible to run the gr-leo in realtime.
To deal with this issue, the generation of the digital samples with the SatNOGS-COMMS as destination, was performed offline and stored in a file.
The test was conducted by replaying this file in realtime using the USRP B210.
At the same time, the USRP was set for reception at the RX2 port and the received samples were stored in a file.
The samples in the file were passed then through the gr-leo channel emulator and then fed to the GS demodulator/decoder.

\subsection{Test Results}

\begin{itemize}
  \item Test Result: Pass
  \item Observations: The communication session is not affected by the realistic conditions or delays
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item Tested only for MSK at 50 kbps at 403 and 435 MHz
\end{itemize}
\newpage


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 113, Test and verify E2E TC\&C communication between GS and COMMS on S-band with MSK modulation without simulating realistic conditions}\label{tc:113}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Dec 6, 2024
  \item Tester: MS
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item USRP B210
  \item 2x Mini-Circuits VAT-30+ 
  \item SatNOGS-COMMS SW and GNU Radio flowgraphs: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/commit/74dd552aef7a65cd7b1f169f5c3a85aeccf399f6} modified to add an intentional delay after a telecommand processing
  \item YAMCS-based control software: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-yamcs/-/commit/607f6cf308fecff908209561573e888a41deba40}
  \item DC power supply: Rigol DP832
\end{itemize}

\subsection{Test Results}

\begin{itemize}
  \item Test Result: Pass (\autoref{fig:tc113},\ref{fig:tc113-1})
\end{itemize}

  \begin{figure}
      \centering
      \includegraphics[width=1\linewidth]{diagrams/tc113-tlc.png}
      \caption{YAMCS telecommand}
      \label{fig:tc113}
  \end{figure}

    \begin{figure}
      \centering
      \includegraphics[width=1\linewidth]{diagrams/tc113.png}
      \caption{YAMCS telemetry response parsing}
      \label{fig:tc113-1}
  \end{figure}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item This test was performed with YAMCS TC\&C software and CCSDS XTCE
  \item Tested only for MSK at 100 and 400 kbps at 2250 MHz TX and 2055 MHz RX
\end{itemize}
\newpage

\section{Test Case 114, Test and verify E2E TC\&C communication between GS and COMMS on S-band with MSK modulation with simulating realistic conditions}\label{tc:114}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Dec 9, 2024
  \item Tester: MS
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item USRP B210
  \item 2x Mini-Circuits VAT-30+ 
  \item Reference TLE: ISS as retrieved at Dec 1, 2024
  \item SatNOGS-COMMS SW and GNU Radio flowgraphs: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/commit/74dd552aef7a65cd7b1f169f5c3a85aeccf399f6} modified to add an intentional delay after a telecommand processing
  \item YAMCS-based control software: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-yamcs/-/commit/607f6cf308fecff908209561573e888a41deba40}
  \item DC power supply: Rigol DP832
\end{itemize}

Due to the high resolution of the simulation required in order to emulate as close as possible the frequency variation within the duration of each frame, it was not feasible to run the gr-leo in realtime.
To deal with this issue, the generation of the digital samples with the SatNOGS-COMMS as destination, was performed offline and stored in a file.
The test was conducted by replaying this file in realtime using the USRP B210.
At the same time, the USRP was set for reception at the RX2 port and the received samples were stored in a file.
The samples in the file were passed then through the gr-leo channel emulator and then fed to the GS demodulator/decoder.

\subsection{Test Results}

\begin{itemize}
  \item Test Result: Pass (\autoref{fig:tc114})
  \item Observations: The communication session is not affected by the realistic conditions or delays
\end{itemize}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/tc114-tm.png}
    \caption{YAMCS telemetry response parsing}
    \label{fig:tc114}
\end{figure}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
   \item Tested only for MSK at 100 and 400 kbps at 2250 MHz TX and 2055 MHz RX
\end{itemize}
\newpage


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 132, Measure and verify timing Pulse and signal type Push Pull 3.3V for output of antenna deployment mechanism}\label{tc:132}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Oscilloscope Rigol DS4024
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations:
      \begin{itemize}
          \item After antenna deploy command for both pins 1sec pulses were recorded
          \begin{figure}[H]
            \centering
            \includegraphics[keepaspectratio, width=1\textwidth]{diagrams/test-camp-2/tc-132-ant-deploy.png}
            \caption{Antenna deployment pulse, duration 1sec}\label{fig:tc-132-ant-deploy}
        \end{figure}
    \item A proper pull down (less than 0.06V) is measured at ANT DEP 0 and ANT DEP 1.
    \end{itemize}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 133, Perform and verify success of conducted emissions test}\label{tc:133}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: November 21, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Fail
  \item Observations: Check EMC Test Report
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item On conclusion of EMC Test Report
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item Fix in v0.3.2, \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/issues/463}
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 134, Perform and verify success of radiated emissions test}\label{tc:134}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: November 21, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Fail
  \item Observations: Check EMC Test Report, 
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item On conclusion of EMC Test Report
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item Fix in v0.3.2, \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-hardware/-/issues/463}
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 135, Perform and verify success of the radiated immunity test}\label{tc:135}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: November 21, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check EMC Test Report, Radiated immunity level 80MHz to 6GHz: 3V/m
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 137, Perform and verify success of conducted susceptibility test on the power leads, 30Hz to 150 kHz}\label{tc:137}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: November 21, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check EMC Test Report, Conducted immunity level on DC port 15Hz to 150kHz: 10Vrms
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 138, Perform and verify success of conducted susceptibility bulk cable injection test, 10 kHz to 200 MHz}\label{tc:138}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: November 21, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check EMC Test Report, Conducted immunity level on DC and CAN Bus ports 150kHz to 80MHz: 3Vrms
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 140, Test and verify COMMS performance of modulation and coding}\label{tc:140}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Dec 9, 2024
  \item Tester: MS
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item USRP B210
  \item 2x Mini-Circuits VAT-30+ 
  \item SatNOGS-COMMS SW and GNU Radio flowgraphs: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/commit/74dd552aef7a65cd7b1f169f5c3a85aeccf399f6} modified to add an intentional delay after a telecommand processing
  \item YAMCS-based control software: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-yamcs/-/commit/607f6cf308fecff908209561573e888a41deba40}
  \item DC power supply: Rigol DP832
\end{itemize}

\subsection{Test Results}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/uhf-ber.png}
    \caption{UHF Frame success rate for various signal levels}
    \label{fig:uhf-ber.png}
\end{figure}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/sband-ber.png}
    \caption{S-Band Frame success rate for various signal levels}
    \label{fig:sband-ber.png}
\end{figure}

\begin{itemize}
  \item Test Result: Pass (\autoref{fig:uhf-ber.png},~\ref{fig:sband-ber.png})
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
   \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 141, Test and verify the stability of frequency reference clock}\label{tc:141}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: NA
  \item Tester: NA
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Check Environmental Test Report, Appendix A
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 142, BER Test with simulating realistic conditions}\label{tc:142}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Dec 4, 2024
  \item Tester: MS
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item USRP B210
  \item 2x Mini-Circuits VAT-30+ 
  \item SatNOGS-COMMS SW and GNU Radio flowgraphs: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu/-/commit/74dd552aef7a65cd7b1f169f5c3a85aeccf399f6} modified to add an intentional delay after a telecommand processing
  \item YAMCS-based control software: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-yamcs/-/commit/607f6cf308fecff908209561573e888a41deba40}
  \item DC power supply: Rigol DP832
\end{itemize}

Due to the high resolution of the simulation required in order to emulate as close as possible the frequency variation within the duration of each frame, it was not feasible to run the gr-leo in realtime.
Based on the Test Case~\ref{tc:89}  results, the tracking mechanisms of the receiver are able to cope with the Doppler rate for both interfaces.
Therefore this test focuses on the carrier tracking capabilities for the maximum frequency offset induced by the Doppler shift.

\subsection{Test Results}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/uhf-fsk-50k-offset-performance.png}
    \caption{Frame success rate for UHF FSK-2 at 50 kbps}
    \label{fig:uhf-fsk-50k-offset-performance}
\end{figure}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/uhf-msk-50k-offset-perfromance.png}
    \caption{Frame success rate for UHF MSK at 50 kbps}
    \label{fig:uhf-msk-50k-offset-perfromance}
\end{figure}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/sband-msk-100k-offset-performance.png}
    \caption{Frame success rate for S-Band MSK at 100 kbps}
    \label{fig:sband-msk-100k-offset-performance}
\end{figure}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/sband-msk-200k-offset-performance.png}
    \caption{Frame success rate for S-Band MSK at 200 kbps}
    \label{fig:sband-msk-200k-offset-performance}
\end{figure}

\begin{figure}
    \centering
    \includegraphics[width=1\linewidth]{diagrams/sband-msk-400k-offset-performance.png}
    \caption{Frame success rate for S-Band MSK at 400 kbps}
    \label{fig:sband-msk-400k-offset-performance}
\end{figure}

\begin{itemize}
  \item Test Result: Partially Pass (\autoref{fig:uhf-fsk-50k-offset-performance},~\ref{fig:uhf-msk-50k-offset-perfromance},~\ref{fig:sband-msk-100k-offset-performance},~\ref{fig:sband-msk-200k-offset-performance},~\ref{fig:sband-msk-400k-offset-performance})
\end{itemize}


\subsection{Issues Found}
\begin{itemize}
  \item The S-Band MSK 100 kbps exhibits significant performance degradation at offsets above $\pm$ 52 kHz.
  The root cause of the issue has been identified to the receiver digital and IF filter settings.
  By adjusting properly the RXDFE.RCUT and RXBWC.BW registers of the AT86RF215 transceiver, the receiver can deal with the entire expected range of the Doppler frequency offset, with an induced performance penalty of 2 dB.
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
   \item Test can be considered passed. The documentation should provide more information regarding the identified issue.
\end{itemize}
\newpage


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 143, Test and verify RGMII FPGA interface}\label{tc:143}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: Oct 03, 2024
  \item Tester: AZ
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Ethernet Development Board:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-misc#ethernet-adapter}
  \item SatNOGS COMMS SW:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-software-mcu}\\commit SHA:fae3690081ec9f391d927bb3cd39e1f8771a8b69
  \item SatNOGS COMMS CLI Control:\url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}\\commit SHA:a11232aa24c571ba8eea943ea48cddd89edf9d0b
  \item FPGA SOM is running PetaLinux
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item FPGA SOM in UDP mode
        \begin{lstlisting}
            - - - - - - - - - - - - - - - - - - - - - - - - -
            [ ID] Interval           Transfer     Bitrate         Jitter    Lost/Total Datagrams
            [  5]   0.00-600.01 sec  6.68 GBytes  95.6 Mbits/sec  0.139 ms  0/4953771 (0%)  receiver
        \end{lstlisting}
  \item FPGA SOM in TCP mode
        \begin{lstlisting}
            - - - - - - - - - - - - - - - - - - - - - - - - -
            [ ID] Interval           Transfer     Bitrate         Retr
            [  5]   0.00-10.00  sec   112 MBytes  94.4 Mbits/sec    0             sender
            [  5]   0.00-10.01  sec   112 MBytes  94.1 Mbits/sec
        \end{lstlisting}
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item More about tests: \url{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-fpga/-/issues/3}
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 146, Test and verify over-voltage protection for loads}\label{tc:146}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DM
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item DC power supply: Rigol DP831
  \item TRMS multi-meter: Rigol DM3058E
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: Over Voltage clamp: 3.8V
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Test Case 147, Test and verify the RFFE external clock}\label{tc:147}
\subsection{Test Information}
\begin{itemize}
  \item Test Date: June 14, 2024
  \item Tester: AZ, DB
\end{itemize}

\subsection{Test Environment}
\begin{itemize}
  \item Board version: v0.3.1
  \item Spectrum analyzer Rigol RSA5032-TG
  \item Signal generator Rigol DSG3030
  \item Cables 1 and 4 along with attenuator 5.
\end{itemize}

\subsection{Test Results}
\begin{itemize}
  \item Test Result: Pass
  \item Observations: None
\end{itemize}

\subsection{Issues Found}
\begin{itemize}
  \item None
\end{itemize}

\subsection{Conclusion}
\begin{itemize}
  \item None
\end{itemize}
\newpage

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\chapter{Test Report Matrix (confirmed)}

\IfFileExists{include/test-report}{\input{include/test-report}}{} % chktex 27
Note: This table contains test cases that ESA confirms in order to close the activity.
This is part of email communication with subject: Status Report-SatNOGS COMMS v0.3.1
\begin{longtable}{rlc>{\raggedright\arraybackslash}m{0.45\textwidth}}
  \toprule
  \textbf{TC} & \textbf{Sections} & \textbf{PCB Version::Result} \\ \midrule
  \ifdefined\tcmatrix{}
    \tccmatrix{}
  \fi
\end{longtable}
\newpage

\chapter{Test Report Matrix}

\begin{longtable}{rlc>{\raggedright\arraybackslash}m{0.45\textwidth}}
  \toprule
  \textbf{TC} & \textbf{Sections} & \textbf{PCB Version::Result} \\ \midrule
  \ifdefined\tcmatrix{}
    \tcmatrix{}
  \fi
\end{longtable}
\newpage

\begin{appendices}

\chapter{RF Components Calibration}

\begin{table}[!ht]
    \centering
    \begin{tabular}{ll}
        \toprule
        Part Number: & Mini-Circuits 141--8SM+ \\ \midrule
        Label: & 1 \\ \midrule
        Expected loss (dB): & -0.3 \\ \midrule
        Input Power (dBm): & 0 \\ \midrule
        Frequency (Mhz) &  Output Power (dBm) \\ \midrule
        400 & -0.38 \\
        430 & 0 \\
        2100 & -0.4 \\
        2250 & -0.3 \\
        2458 & -0.16 \\ \bottomrule
    \end{tabular}
\end{table}

\begin{table}[!ht]
    \centering
    \begin{tabular}{ll}
        \toprule
        Part Number: & Mini-Circuits 141--8SM+ \\ \midrule
        Label: & 2 \\ \midrule
        Expected loss (dB): & -0.3 \\ \midrule
        Input Power (dBm): & 0 \\ \midrule
        Frequency (Mhz) &  Output Power (dBm) \\ \midrule
        400 & -0.31 \\
        430 & 0 \\
        2100 & -0.4 \\
        2250 & -0.3 \\
        2458 & -0.17 \\ \bottomrule
    \end{tabular}
\end{table}

\begin{table}[!ht]
    \centering
    \begin{tabular}{ll}
        \toprule
        Part Number: & Amphenol RF 245107--02--06 \\ \midrule
        Label: & 3 \\ \midrule
        Expected loss (dB): & -0.1 \\ \midrule
        Input Power (dBm): & 0 \\ \midrule
        Frequency (Mhz) &  Output Power (dBm) \\ \midrule
        400 & -0.2 \\
        430 & -0.3 \\
        2100 & -0.3 \\
        2250 & -0.2 \\
        2458 & -0.4 \\ \bottomrule
    \end{tabular}
\end{table}

\begin{table}[!ht]
    \centering
    \begin{tabular}{ll}
        \toprule
        Part Number: & Amphenol RF 245107--02--06 \\ \midrule
        Label: & 4 \\ \midrule
        Expected loss (dB): & -0.1 \\ \midrule
        Input Power (dBm): & 0 \\ \midrule
        Frequency (Mhz) &  Output Power (dBm) \\ \midrule
        400 & 0 \\
        430 & -0.24 \\
        2100 & -0.4 \\
        2250 & -0.2 \\
        2458 & -0.5 \\ \bottomrule
    \end{tabular}
\end{table}

\begin{table}[!ht]
    \centering
    \begin{tabular}{ll}
        \toprule
        Part Number: & Mini-Circuits BW-S20W2+ \\ \midrule
        Label: & 5 \\ \midrule
        Expected loss (dB): & -19.7 \\ \midrule
        Input Power (dBm): & 0 \\ \midrule
        Frequency (Mhz) &  Output Power (dBm) \\ \midrule
        400 & -19.7 \\
        430 & -20 \\
        2100 & -19.43 \\
        2250 & -19 \\
        2458 & -19.9 \\ \bottomrule
    \end{tabular}
\end{table}

\end{appendices}

\end{document}
